Creating the Debug File

The /api/v1/files/create/debugFile URL provides the ability to create a Debug file (for HA systems, from the Active unit). For HA systems, the /api/v1/files/create/debugFileRedundant creates a debug file from the redundant unit.

URL

/api/v1/files/create/debugFile

- or -

/api/v1/files/create/debugFileRedundant

HTTP Method

POST

Supported Request JSON Attributes

Attribute

Type

Value

Description

attachCoreDump

String

true

false

Determines if the Core Dump must be attached to the Debug file.

HTTP Responses

■ 202 Accepted
■ 404 Not Found (if file name is invalid or if not HA and redundant was requested)
■ 409 Conflict for errors (e.g., redundant cannot answer)

Example

■ Request:
POST /api/v1/files/create/debugFile HTTP/1.1
Host: 10.4.219.229
Content-Type: application/json
{
   "attachCoreDump": true
} 
■ Response:
 HTTP/1.1 202 Accepted
Location: /api/v1/files/status/<transaction-id>
Content-Type: application/json
{
    "description": "file <filename> is being created",
    "transactionId": "<transaction-id>"
}